Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata
Class WebserviceDescriptionMetaData

    java.lang.Object
      org.jboss.webservice.metadata.WebserviceDescriptionMetaData

public class WebserviceDescriptionMetaData
extends Object

XML Binding element for `webservices/webservice-description`

Since:
  15-April-2004
Version:
  $Revision: 1.19.4.2 $
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`WebserviceDescriptionMetaData(WebservicesMetaData webservices)`

Method Summary
`void` | `addPortComponent(PortComponentMetaData portComponent)`
`org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping` | `getJavaWsdlMapping()`
`String` | `getJaxrpcMappingFile()`
`PortComponentMetaData` | `getPortComponentByName(String name)` Lookup a PortComponentMetaData by port-component-name
`PortComponentMetaData` | `getPortComponentByWsdlPort(String name)` Lookup a PortComponentMetaData by wsdl-port local part
`PortComponentMetaData[]` | `getPortComponents()`
`String` | `getWebserviceDescriptionName()`
`WebservicesMetaData` | `getWebservices()`
`javax.wsdl.Definition` | `getWsdlDefinition()` Get the wsdl definition that corresponds to the wsdl-file element.
`String` | `getWsdlFile()`
`String` | `getWsdlPublishLocation()`
`void` | `setJaxrpcMappingFile(String jaxrpcMappingFile)`
`void` | `setWebserviceDescriptionName(String webserviceDescriptionName)`
`void` | `setWsdlFile(String wsdlFile)`
`void` | `setWsdlPublishLocation(String wsdlPublishLocation)`
`void` | `updateServiceAddress(ServiceDeployer.ServiceLocationResolver locationResolver)` Replace the port location with the actual one in JBoss

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebserviceDescriptionMetaData

    public WebserviceDescriptionMetaData(WebservicesMetaData webservices)

Method Detail

### getWebservices

    public WebservicesMetaData getWebservices()

### addPortComponent

    public void addPortComponent(PortComponentMetaData portComponent)

### getPortComponents

    public PortComponentMetaData[] getPortComponents()

### getPortComponentByWsdlPort

    public PortComponentMetaData getPortComponentByWsdlPort(String name)

  Lookup a PortComponentMetaData by wsdl-port local part

  Parameters:
    `name` - - the wsdl-port local part
  Returns:
    PortComponentMetaData if found, null otherwise

### getPortComponentByName

    public PortComponentMetaData getPortComponentByName(String name)

  Lookup a PortComponentMetaData by port-component-name

  Parameters:
    `name` - - the port-component-name
  Returns:
    PortComponentMetaData if found, null otherwise

### getWebserviceDescriptionName

    public String getWebserviceDescriptionName()

### setWebserviceDescriptionName

    public void setWebserviceDescriptionName(String webserviceDescriptionName)

### getWsdlFile

    public String getWsdlFile()

### setWsdlFile

    public void setWsdlFile(String wsdlFile)

### getWsdlPublishLocation

    public String getWsdlPublishLocation()

### setWsdlPublishLocation

    public void setWsdlPublishLocation(String wsdlPublishLocation)

### getJaxrpcMappingFile

    public String getJaxrpcMappingFile()

### getJavaWsdlMapping

    public org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping getJavaWsdlMapping()

### setJaxrpcMappingFile

    public void setJaxrpcMappingFile(String jaxrpcMappingFile)

### getWsdlDefinition

    public javax.wsdl.Definition getWsdlDefinition()

  Get the wsdl definition that corresponds to the wsdl-file element.

### updateServiceAddress

    public void updateServiceAddress(ServiceDeployer.ServiceLocationResolver locationResolver)

  Replace the port location with the actual one in JBoss

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.